Bug 1836609 - Failed to create VM from template in CreateVolumeContainerCommand when stopping VDSM service in a single host environment
Summary: Failed to create VM from template in CreateVolumeContainerCommand when stoppi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ovirt-4.4.0
: 4.3.11
Assignee: shani
QA Contact: Evelina Shames
URL:
Whiteboard:
Depends On: 1680368
Blocks: 1851854
TreeView+ depends on / blocked
 
Reported: 2020-05-17 08:59 UTC by Tal Nisan
Modified: 2020-08-04 13:28 UTC (History)
18 users (show)

Fixed In Version: vdsm-4.30.47
Doc Type: Bug Fix
Doc Text:
Previously, the `slot` parameter was parsed as a string, causing disk rollback to fail during the creation of a virtual machine from a template when using an Ansible script. Note that there was no such failure when using the Administration Portal to create a virtual machine from a template. With this update, the `slot` parameter is parsed as an int, so disk rollback and virtual machine creation succeed.
Clone Of: 1680368
: 1851854 (view as bug list)
Environment:
Last Closed: 2020-08-04 13:28:34 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:3246 0 None None None 2020-08-04 13:28:50 UTC
oVirt gerrit 108164 0 ovirt-4.3 MERGED blockVolume: parse slot into an int 2020-09-03 20:04:41 UTC

Comment 5 Evelina Shames 2020-07-01 10:23:12 UTC
This TC (TestCase18982) passed in rhv-4.4.1-5, moving to 'Verified'.

Comment 10 errata-xmlrpc 2020-08-04 13:28:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (RHV RHEL Host (ovirt-host) 4.4), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:3246


Note You need to log in before you can comment on or make changes to this bug.